---
title: Apply for a student developer pack
intro: 'As a student, you can apply for the {% data variables.product.prodname_student_pack %}, which includes offers and benefits from {% data variables.product.prodname_dotcom %} partners.'
redirect_from:
  - /education/teach-and-learn-with-github-education/apply-for-a-student-developer-pack
  - /github/teaching-and-learning-with-github-education/applying-for-a-student-developer-pack
  - /articles/applying-for-a-student-developer-pack
  - /education/explore-the-benefits-of-teaching-and-learning-with-github-education/apply-for-a-student-developer-pack
versions:
  fpt: '*'
shortTitle: Apply for a student pack
---
{% data reusables.education.about-github-education-link %}

## Requirements

To be eligible for the {% data variables.product.prodname_student_pack %}, you must:
- Be currently enrolled in a degree or diploma granting course of study such as a high school, secondary school, college, university, homeschool, or similar educational institution
- Have a verifiable school-issued email address or upload documents that prove your current student status
- Have a [{% data variables.product.prodname_dotcom %} user account](/articles/signing-up-for-a-new-github-account)
- Be at least 13 years old

Documents that prove your current student status include a picture of your school ID with current enrollment date, class schedule, transcript, and affiliation or enrollment verification letter.

During your tenure as a student, you may be prompted to periodically re-verify your current academic status.

{% note %}

**Note:** You cannot transfer academic discounts from one account to another. If you have more than one account you want to apply the discount to, consider [merging](/articles/merging-multiple-user-accounts) your user accounts and [renaming](/articles/changing-your-github-username) the retained account if desired.

{% endnote %}

For information about renewing your {% data variables.product.prodname_student_pack %}, see "[Expiration and renewals](/education/explore-the-benefits-of-teaching-and-learning-with-github-education/apply-for-a-student-developer-pack/#expiration-and-renewals)."

## Applying for a {% data variables.product.prodname_student_pack %}

{% data reusables.education.benefits-page %}
3. Under "Which best describes your academic status?", select **Student**.
  ![Select academic status](/assets/images/help/education/academic-status-student.png)
{% data reusables.education.select-email-address %}
{% data reusables.education.upload-proof-status %}
{% data reusables.education.school-name %}
{% data reusables.education.plan-to-use-github %}
{% data reusables.education.submit-application %}

## Expiration and renewals

Once your {% data variables.product.prodname_student_pack %} access expires, you may reapply if you're still eligible, although some of our partner offers cannot renew. Most of the timed offers from our partners start once you set them up. For more information, see the [{% data variables.product.prodname_student_pack %}](https://education.github.com/pack) page.

To see when your free access to the {% data variables.product.prodname_student_pack %} expires, visit your account's [billing settings](https://github.com/settings/billing).

## Further reading

- "[Why wasn't my application for a {% data variables.product.prodname_student_pack %} approved?](/articles/why-wasn-t-my-application-for-a-student-developer-pack-approved)"
- "[Signing up for a new {% data variables.product.prodname_dotcom %} account](/articles/signing-up-for-a-new-github-account)"
- [{% data variables.product.prodname_education %}](https://education.github.com)
